Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.classpath.support
Class ClassPathSupport

    java.lang.Object
      org.netbeans.spi.java.classpath.support.ClassPathSupport

    public class ClassPathSupport

extends Object

Convenience factory for creating classpaths of common sorts.

Since:
  org.netbeans.api.java/1 1.4

Method Summary
`static ClassPath` | `createClassPath(FileObject[] roots)` Create ClassPath for the given array of class path roots
`static ClassPath` | `createClassPath(List entries)` Create ClassPath for the given list of `PathResourceImplementation` entries.
`static ClassPath` | `createClassPath(URL[] roots)` Create ClassPath for the given array of class path roots
`static ClassPathImplementation` | `createClassPathImplementation(List entries)` Create ClassPathImplementation for the given list of `PathResourceImplementation` entries.
`static ClassPath` | `createProxyClassPath(ClassPath[] delegates)` Creates read only proxy ClassPath for given delegates.
`static ClassPathImplementation` | `createProxyClassPathImplementation(ClassPathImplementation[] delegates)` Creates read only proxy ClassPathImplementation for given delegates.
`static PathResourceImplementation` | `createResource(URL url)` Creates leaf PathResourceImplementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createResource

    public static PathResourceImplementation createResource(URL url)

  Creates leaf PathResourceImplementation. The created PathResourceImplementation has exactly one immutable root.

  Parameters:
    `url` - the root of the resource. The URL must refer to folder. In the case of archive file the jar protocol URL must be used.
  Returns:
    PathResourceImplementation

### createClassPathImplementation

    public static ClassPathImplementation createClassPathImplementation(List entries)

  Create ClassPathImplementation for the given list of `PathResourceImplementation` entries.

  Parameters:
    `entries` - list of `PathResourceImplementation` instances; cannot be null; can be empty
  Returns:
    SPI classpath

### createClassPath

    public static ClassPath createClassPath(List entries)

  Create ClassPath for the given list of `PathResourceImplementation` entries.

  Parameters:
    `entries` - list of `PathResourceImplementation` instances; cannot be null; can be empty
  Returns:
    API classpath

### createClassPath

    public static ClassPath createClassPath(FileObject[] roots)

  Create ClassPath for the given array of class path roots

  Parameters:
    `roots` - array of fileobjects which must correspond to directory. In the case of archive file, the FileObject representing the root of the archive must be used. Cannot be null; can be empty array; array can contain nulls.
  Returns:
    API classpath

### createClassPath

    public static ClassPath createClassPath(URL[] roots)

  Create ClassPath for the given array of class path roots

  Parameters:
    `roots` - array of URLs which must correspond to directory. In the case of archive file, the jar protocol URL must be used. Cannot be null; can be empty array; array can contain nulls.
  Returns:
    API classpath

### createProxyClassPathImplementation

    public static ClassPathImplementation createProxyClassPathImplementation(ClassPathImplementation[] delegates)

  Creates read only proxy ClassPathImplementation for given delegates. The order of resources is given by the order of the delegates

  Parameters:
    `delegates` - ClassPathImplementations to delegate to.
  Returns:
    SPI classpath

### createProxyClassPath

    public static ClassPath createProxyClassPath(ClassPath[] delegates)

  Creates read only proxy ClassPath for given delegates. The order of resources is given by the order of the delegates

  Parameters:
    `delegates` - ClassPaths to delegate to.
  Returns:
    API classpath

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.